
# Criado por https://www.toptal.com/developers/gitignore/api/java,eclipse,maven
# Edite em https://www.toptal.com/developers/gitignore?templates=java,eclipse,maven

### Eclipse ###
.metadata
bin /
tmp /
* .tmp
* .bak
* .swp
* ~ .nib
local.properties
.definições/
.loadpath
.recommenders

# Construtores externos de ferramentas
.externalToolBuilders /

# "Configurações de inicialização do Eclipse" armazenadas localmente
*.lançar

# PyDev específico (Python IDE para Eclipse)
* .pydevproject

# Específico para CDT (ferramentas de desenvolvimento C / C ++)
.cproject

# CDT- autotools
.autotools

# Processador de anotação Java (APT)
.factorypath

# Específico para PDT (Ferramentas de Desenvolvimento PHP)
.buildpath

# plugin sbteclipse
.alvo

# Plugin Tern
.tern-project

# Plugin TeXlipse
.texlipse

# STS (Conjunto de ferramentas Spring)
.springBeans

# Recomendadores de código
.recommenders /

# Processamento de anotação
.apt_generated /
.apt_generated_test /

# Scala IDE específico (desenvolvimento Scala e Java para Eclipse)
.cache-main
.scala_dependencies
.folha de trabalho

# Remova o comentário desta linha se desejar ignorar o arquivo de descrição do projeto.
# Normalmente, este arquivo seria rastreado se contiver configurações de compilação / dependência:
#.projeto

### Eclipse Patch ###
# Spring Boot Tooling
.sts4-cache /

### Java ###
# Arquivo de classe compilado
*.classe

# Arquivo de log
*.registro

# Arquivos BlueJ
* .ctxt

# Ferramentas móveis para Java (J2ME)
.mtj.tmp /

# Arquivos de pacote #
* .jar
*.guerra
* .nar
*.orelha
*.fecho eclair
* .tar.gz
* .rar

# logs de travamento da máquina virtual, consulte http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid *

### Maven ###
alvo/
pom.xml.tag
pom.xml.releaseBackup
pom.xml.versionsBackup
pom.xml.next
release.properties
dependência reduzida-pom.xml
buildNumber.properties
.mvn / timing.properties
# https://github.com/takari/maven-wrapper#usage-without-binary-jar
.mvn / wrapper / maven-wrapper.jar

### Maven Patch ###
# Arquivos gerados pelo Eclipse m2e
# Eclipse Core
.projeto
# Específico para JDT (Eclipse Java Development Tools)
.classpath

# Fim de https://www.toptal.com/developers/gitignore/api/java,eclipse,maven